 fs/jbd/journal.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN fs/jbd/journal.c~kjournald-PF_SYNCWRITE fs/jbd/journal.c
--- 25/fs/jbd/journal.c~kjournald-PF_SYNCWRITE	2003-07-04 19:32:05.000000000 -0700
+++ 25-akpm/fs/jbd/journal.c	2003-07-04 19:33:06.000000000 -0700
@@ -119,19 +119,16 @@ void __journal_internal_check(void)
  *    the disk.  Flushing these old buffers to reclaim space in the log is
  *    known as checkpointing, and this thread is responsible for that job.
  */
-
-journal_t *current_journal;		// AKPM: debug
-
 int kjournald(void *arg)
 {
 	journal_t *journal = (journal_t *) arg;
 	transaction_t *transaction;
 	struct timer_list timer;
 
-	current_journal = journal;
-
 	daemonize("kjournald");
 
+	current->flags |= PF_SYNCWRITE;	/* Anticipatory scheduler hint */
+
 	/* Set up an interval timer which can be used to trigger a
            commit wakeup after the commit interval expires */
 	init_timer(&timer);

_
